My App
Api
POST
/projects

Create a new translation project. Platforms typically create one project per end-customer.

x-api-key<token>

API key from the LangRelay dashboard. Org-level keys can access all projects; project-scoped keys are restricted to one project.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.langrelay.com/v1/projects" \  -H "Content-Type: application/json" \  -d '{    "name": "Acme Corp Docs",    "sourceLanguage": "en",    "languages": [      "fr",      "de",      "ja"    ]  }'
{
  "id": "proj_abc123",
  "name": "Acme Corp Docs",
  "originUrl": "string",
  "sourceLanguage": "en",
  "languages": [
    "fr",
    "de"
  ],
  "plan": "starter",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "type": "https://api.langrelay.com/errors/bad-request",
  "title": "Bad Request",
  "status": 400,
  "detail": "projectId and language query parameters are required."
}
{
  "type": "https://api.langrelay.com/errors/bad-request",
  "title": "Bad Request",
  "status": 400,
  "detail": "projectId and language query parameters are required."
}